-- ===========================================================================
-- Real Strategy - Parameters
-- Author: Infixo
-- 2018-12-14: Created
-- ===========================================================================

-- just to make versioning easier
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_VERSION_MAJOR', '1');
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_VERSION_MINOR', '4');

-- logging
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_OPTION_LOG_DEBUG', '0'); -- log detailed debug info
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_OPTION_LOG_STRAT', '1'); -- log strategy priorities
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_OPTION_LOG_GUESS', '1'); -- log guess priorities
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_OPTION_LOG_OTHER', '0'); -- log supporting (other) strategies

-- random numbers - support for Multi Player
INSERT INTO GlobalParameters (Name, Value) VALUES ('RST_OPTION_RANDOM', '2'); -- 0 - turned OFF / 1 - turned ON, using math.rand / 2 - turned ON, using Game.GetRandNum


-- ===========================================================================
-- Parameters
-- ===========================================================================

INSERT INTO GlobalParameters (Name, Value) VALUES
-- weights
('RST_WEIGHT_LEADER', 20), -- weight of the leader's base priority
('RST_WEIGHT_POLICY',       210), -- [x100] how much each slotted policy weights
('RST_WEIGHT_WONDER',       120), -- [x100] how much each wonder weights
('RST_WEIGHT_GOVERNMENT',   500), -- [x100] how much each government weights
('RST_WEIGHT_MINOR',        280), -- [x100] how much each suzerained city state weights
('RST_WEIGHT_GREAT_PERSON',  70), -- [x100] how much each earned GP weights
('RST_WEIGHT_BELIEF',       220), -- [x100] how much each earned belief weights
-- generic
('RST_STRATEGY_LEADER_RANDOM', 1), -- adds/subtracts a random number to a leader base flavor in a range +/- param
('RST_STRATEGY_LEADER_ERA_BIAS', 130), -- [x100] leader's individual bias is multiplied by Era and this factor, def. 250, for Atomic=7, low=2 mid=5 high=8 => 17 / 42 / 67
('RST_STRATEGY_ADJUST_SPECIFIC_START', 25), -- [x100] specific priorities scale lineary, value at turn 0
('RST_STRATEGY_ADJUST_SPECIFIC_STOP', 200), -- [x100] specific priorities scale lineary, value at the last turn
('RST_STRATEGY_ADJUST_GENERIC_START', 125), -- [x100] generic priorities scale lineary, value at turn 0
('RST_STRATEGY_ADJUST_GENERIC_STOP', 50), -- [x100] generic priorities scale lineary, value at the last turn
('RST_STRATEGY_NUM_TURNS_MUST_BE_ACTIVE', 7), -- how many turns a strategy must be active before checking for new priorities, def. 10
('RST_STRATEGY_MINIMUM_PRIORITY', 20), -- minimum priority to activate a strategy (per active victory)
('RST_STRATEGY_CURRENT_PRIORITY', 40), -- how much current strategy adds to the priority
('RST_STRATEGY_RANDOM_PRIORITY', 30), -- random part of the priority, can be switched off via an option
('RST_STRATEGY_BETTER_THAN_US_NERF', -5), -- [x100] each player better than us decreases our priority by this percent, for each active victory type (1 vic = -10, 5 vic = -25)
('RST_STRATEGY_COMPARE_OTHERS_NUM_TURNS', 40), -- def. 60, generic parameter for all strategies, we will start comparing with other known civs after this many turns
-- conquest
('RST_CONQUEST_NOBODY_MET_NUM_TURNS', 20), -- will check if anybody met after this many turns, def. 20
('RST_CONQUEST_NOBODY_MET_PRIORITY', -200), -- if nobody met, then decrease the priority, def. -100 -> this is scaled in a moment by approx. 0.3, so -100 gives actually -30.
('RST_CONQUEST_CAPTURED_CAPITAL_PRIORITY', 50), -- increase conquest priority for each captured capital if we have more than 1, def. 125 + added in VP, seems quite a lot?
('RST_CONQUEST_POWER_RATIO_MULTIPLIER', 80), -- how does our military strength compare to others, -100 = we are at 0, 0 = we are average, +100 = we are 2x as average, +200 = we are 3x as average, etc.
('RST_CONQUEST_POWER_RATIO_LOG_MULTIPLIER', 80), -- how does our military strength compare to others, -100 = we are at 0, 0 = we are average, +100 = we are 2x as average, +200 = we are 3x as average, etc.
('RST_CONQUEST_AT_WAR_PRIORITY', 20), -- conquest priority for each ongoing war with a major civ, def. 10
('RST_CONQUEST_SOMEONE_CLOSE_TO_VICTORY', 15), -- add this for each player close to victory when we are NOT, def. 25 (desperate!), multiplied by ERA - seems a lot!!!
('RST_CONQUEST_BOTH_CLOSE_TO_VICTORY', 5), -- add this for each player close to victory when we are too, def. 5, multiplied by ERA
('RST_CONQUEST_LESS_CITIES_WEIGHT', 25), -- added for each city we have less than all known civs on average, because conquest is a wide play, check together with power
('RST_CONQUEST_NUKE_THREAT', -50), -- others have WMDs, but we don't, counted only once?
-- science
--('RST_SCIENCE_YIELD_WEIGHT', 20), -- [x100] how much each beaker weights
('RST_SCIENCE_YIELD_RATIO_MULTIPLIER', 70), -- how does our situation compare to others, -100..100 and more
('RST_SCIENCE_TECH_WEIGHT', 10), -- each tech we are ahead of average -- with techs it is difficult to be very ahead, and techs are limited, so each one is important
--('RST_SCIENCE_TECH_RATIO_MULTIPLIER', 100), -- how does our situation compare to others, -100..100 and more - techs are more important than yield only (they show actual progress)
('RST_SCIENCE_PROJECT_WEIGHT', 60), -- each completed space race project
('RST_SCIENCE_HAS_SPACEPORT', 30), -- adds if player has a spaceport
-- culture
--('RST_CULTURE_YIELD_WEIGHT', 20), -- [x100] how much culture yield is worth
--('RST_CULTURE_TOURISM_WEIGHT', 20), -- [x100] how much tourism yield is worth
('RST_CULTURE_YIELD_RATIO_MULTIPLIER', 70), -- how does our situation compare to others, -100..100 and more
--('RST_CULTURE_TOURISM_RATIO_MULTIPLIER', 50), -- how does our situation compare to others, -100..100 and more  -- USE +AVERAGE approach?
-- tourism is tough to measure! yields are very small at the begining
-- try different approach - for Ancient & Classical use weight (like 1 Tourism = 2-3 pts.), after that use avg HOWEVER 
-- also cannot use Tourism to Guess - too rare in early game
('RST_CULTURE_PROGRESS_EXPONENT', 270), -- [x100], cultural progress formula, exponent => 0.03 speeds up after 50 and goes high after 80
('RST_CULTURE_PROGRESS_MULTIPLIER', 35), -- cultural progress formula, multiplier; 50 => 100, 60 => 140, 70 => 200, 80 => 270, 90 => 360
-- religion
--('RST_RELIGION_FAITH_YIELD_WEIGHT', 25), -- [x100] faith yield
('RST_RELIGION_FAITH_FACTOR', 9), -- how does our situation compare to others; uses typical formula but actual Multiplier = Factor * Era - this smoothes down early faith jumps
--('RST_RELIGION_CITIES_RATIO_MULTIPLIER', 40), -- number of cities following our religion, how does our situation compare to others, -100..100 and more - problem with early converts, gives huge negatives when working your own empire even
('RST_RELIGION_CITIES_EXPONENT', 260), -- [x100], cultural progress formula used for cities converted, exponent => 0.03 speeds up after 50 and goes high after 80
('RST_RELIGION_CITIES_MULTIPLIER', 28), -- cultural progress formula used for cities converted, multiplier; 50 => 90, 60 => 130, 70 => 180, 80 => 250, 90 => 350
('RST_RELIGION_RELIGION_WEIGHT', 40), -- founded religion
('RST_RELIGION_CONVERTED_WEIGHT', 50), -- each converted civ after 1 (I assume the 1st is us)
('RST_RELIGION_INQUISITION_WEIGHT', -20), -- each inquisition launched by others decreases the priority
('RST_RELIGION_NOBODY_MET_NUM_TURNS', 20), -- will check if anybody met after this many turns, def. 20
('RST_RELIGION_NOBODY_MET_PRIORITY', 0), -- if nobody met, then decrease the priority, def. -100 -> ???? But we still need a religion! Conquest is different, it is not limited; we shouldn't stop here I think
('RST_DIPLO_PROGRESS_WEIGHT', 4), -- points for 1%; now DVP = 10%, so 1 DVP = 40 points
('RST_DIPLO_FAVOR_PER_TURN_WEIGHT', 9),
-- guess others scalers
('RST_GUESS_SCALER_CONQUEST', 100),
('RST_GUESS_SCALER_SCIENCE',  100),
('RST_GUESS_SCALER_CULTURE',  115),
('RST_GUESS_SCALER_DIPLO',    125),
('RST_GUESS_SCALER_RELIGION', 75); -- religion has 4 items scored, always getting a bit much


-- ===========================================================================
-- Flavors
--    0 -      no influence on a strategy
-- 1..3 -   minor influence on a strategy
-- 4..6 - average influence on a strategy
-- 7..9 -   major influence on a strategy
-- ===========================================================================

CREATE TABLE RSTFlavors (
	ObjectType TEXT NOT NULL,
	Type TEXT NOT NULL CHECK (Type IN ('Parameter', 'STRATEGY', 'LEADER', 'POLICY', 'GOVERNMENT', 'Wonder', 'BELIEF', 'CityState', 'GreatPerson')),
	Subtype TEXT,
	Strategy TEXT NOT NULL CHECK (Strategy IN ('CONQUEST', 'SCIENCE', 'CULTURE', 'RELIGION', 'DIPLO', 'DEFENCE', 'NAVAL', 'TRADE')),
	Value INTEGER NOT NULL DEFAULT 0,
	PRIMARY KEY (ObjectType, Strategy)
);


-- GOVERNMENTS
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
('GOVERNMENT_CHIEFDOM', 'GOVERNMENT', 'TIER_0', 'CONQUEST', 2),	('GOVERNMENT_CHIEFDOM', 'GOVERNMENT', 'TIER_0', 'SCIENCE', 2),	('GOVERNMENT_CHIEFDOM', 'GOVERNMENT', 'TIER_0', 'CULTURE', 2),	('GOVERNMENT_CHIEFDOM', 'GOVERNMENT', 'TIER_0', 'RELIGION', 2),	('GOVERNMENT_CHIEFDOM', 'GOVERNMENT', 'TIER_0', 'DIPLO', 2),
('GOVERNMENT_AUTOCRACY', 'GOVERNMENT', 'TIER_1', 'CONQUEST', 4),	('GOVERNMENT_AUTOCRACY', 'GOVERNMENT', 'TIER_1', 'SCIENCE', 2),	('GOVERNMENT_AUTOCRACY', 'GOVERNMENT', 'TIER_1', 'CULTURE', 4),	('GOVERNMENT_AUTOCRACY', 'GOVERNMENT', 'TIER_1', 'RELIGION', 2),	('GOVERNMENT_AUTOCRACY', 'GOVERNMENT', 'TIER_1', 'DIPLO', 1),
('GOVERNMENT_OLIGARCHY', 'GOVERNMENT', 'TIER_1', 'CONQUEST', 6),	('GOVERNMENT_OLIGARCHY', 'GOVERNMENT', 'TIER_1', 'SCIENCE', 2),	('GOVERNMENT_OLIGARCHY', 'GOVERNMENT', 'TIER_1', 'CULTURE', 2),	('GOVERNMENT_OLIGARCHY', 'GOVERNMENT', 'TIER_1', 'RELIGION', 2),	('GOVERNMENT_OLIGARCHY', 'GOVERNMENT', 'TIER_1', 'DIPLO', 2),
('GOVERNMENT_CLASSICAL_REPUBLIC', 'GOVERNMENT', 'TIER_1', 'CONQUEST', 1),	('GOVERNMENT_CLASSICAL_REPUBLIC', 'GOVERNMENT', 'TIER_1', 'SCIENCE', 3),	('GOVERNMENT_CLASSICAL_REPUBLIC', 'GOVERNMENT', 'TIER_1', 'CULTURE', 3),	('GOVERNMENT_CLASSICAL_REPUBLIC', 'GOVERNMENT', 'TIER_1', 'RELIGION', 1),	('GOVERNMENT_CLASSICAL_REPUBLIC', 'GOVERNMENT', 'TIER_1', 'DIPLO', 3),
('GOVERNMENT_MONARCHY', 'GOVERNMENT', 'TIER_2', 'CONQUEST', 4),	('GOVERNMENT_MONARCHY', 'GOVERNMENT', 'TIER_2', 'SCIENCE', 2),	('GOVERNMENT_MONARCHY', 'GOVERNMENT', 'TIER_2', 'CULTURE', 2),	('GOVERNMENT_MONARCHY', 'GOVERNMENT', 'TIER_2', 'RELIGION', 2),	('GOVERNMENT_MONARCHY', 'GOVERNMENT', 'TIER_2', 'DIPLO', 4),
('GOVERNMENT_THEOCRACY', 'GOVERNMENT', 'TIER_2', 'CONQUEST', 4),	('GOVERNMENT_THEOCRACY', 'GOVERNMENT', 'TIER_2', 'SCIENCE', 2),	('GOVERNMENT_THEOCRACY', 'GOVERNMENT', 'TIER_2', 'CULTURE', 2),	('GOVERNMENT_THEOCRACY', 'GOVERNMENT', 'TIER_2', 'RELIGION', 7),	('GOVERNMENT_THEOCRACY', 'GOVERNMENT', 'TIER_2', 'DIPLO', 2),
('GOVERNMENT_MERCHANT_REPUBLIC', 'GOVERNMENT', 'TIER_2', 'CONQUEST', 2),	('GOVERNMENT_MERCHANT_REPUBLIC', 'GOVERNMENT', 'TIER_2', 'SCIENCE', 4),	('GOVERNMENT_MERCHANT_REPUBLIC', 'GOVERNMENT', 'TIER_2', 'CULTURE', 4),	('GOVERNMENT_MERCHANT_REPUBLIC', 'GOVERNMENT', 'TIER_2', 'RELIGION', 1),	('GOVERNMENT_MERCHANT_REPUBLIC', 'GOVERNMENT', 'TIER_2', 'DIPLO', 4),
('GOVERNMENT_FASCISM', 'GOVERNMENT', 'TIER_3', 'CONQUEST', 9),	('GOVERNMENT_FASCISM', 'GOVERNMENT', 'TIER_3', 'SCIENCE', 2),	('GOVERNMENT_FASCISM', 'GOVERNMENT', 'TIER_3', 'CULTURE', 2),	('GOVERNMENT_FASCISM', 'GOVERNMENT', 'TIER_3', 'RELIGION', 1),	('GOVERNMENT_FASCISM', 'GOVERNMENT', 'TIER_3', 'DIPLO', 1),
('GOVERNMENT_COMMUNISM', 'GOVERNMENT', 'TIER_3', 'CONQUEST', 4),	('GOVERNMENT_COMMUNISM', 'GOVERNMENT', 'TIER_3', 'SCIENCE', 6),	('GOVERNMENT_COMMUNISM', 'GOVERNMENT', 'TIER_3', 'CULTURE', 3),	('GOVERNMENT_COMMUNISM', 'GOVERNMENT', 'TIER_3', 'RELIGION', 1),	('GOVERNMENT_COMMUNISM', 'GOVERNMENT', 'TIER_3', 'DIPLO', 1),
('GOVERNMENT_DEMOCRACY', 'GOVERNMENT', 'TIER_3', 'CONQUEST', 1),	('GOVERNMENT_DEMOCRACY', 'GOVERNMENT', 'TIER_3', 'SCIENCE', 4),	('GOVERNMENT_DEMOCRACY', 'GOVERNMENT', 'TIER_3', 'CULTURE', 7),	('GOVERNMENT_DEMOCRACY', 'GOVERNMENT', 'TIER_3', 'RELIGION', 3),	('GOVERNMENT_DEMOCRACY', 'GOVERNMENT', 'TIER_3', 'DIPLO', 6);

-- POLICIES
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
		('POLICY_AESTHETICS', 'POLICY', 'ECONOMIC', 'CULTURE', 7),		
('POLICY_AGOGE', 'POLICY', 'MILITARY', 'CONQUEST', 6),				
('POLICY_ARSENAL_OF_DEMOCRACY', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 2),	('POLICY_ARSENAL_OF_DEMOCRACY', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 2),	('POLICY_ARSENAL_OF_DEMOCRACY', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_ARSENAL_OF_DEMOCRACY', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_ARSENAL_OF_DEMOCRACY', 'POLICY', 'DIPLOMATIC', 'DIPLO', 2),
	('POLICY_BASTIONS', 'POLICY', 'MILITARY', 'SCIENCE', 2),	('POLICY_BASTIONS', 'POLICY', 'MILITARY', 'CULTURE', 2),	('POLICY_BASTIONS', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_BASTIONS', 'POLICY', 'MILITARY', 'DIPLO', 2),
('POLICY_CARAVANSARIES', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_CARAVANSARIES', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_CARAVANSARIES', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_CARAVANSARIES', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_CARAVANSARIES', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_CHARISMATIC_LEADER', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 1),	('POLICY_CHARISMATIC_LEADER', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 1),	('POLICY_CHARISMATIC_LEADER', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_CHARISMATIC_LEADER', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_CHARISMATIC_LEADER', 'POLICY', 'DIPLOMATIC', 'DIPLO', 3),
('POLICY_CHIVALRY', 'POLICY', 'MILITARY', 'CONQUEST', 6),				
		('POLICY_COLLECTIVE_ACTIVISM', 'POLICY', 'DIPLOMATIC', 'CULTURE', 6),		
	('POLICY_COLLECTIVIZATION', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_COLLECTIVIZATION', 'POLICY', 'ECONOMIC', 'CULTURE', 1),		
('POLICY_COLONIAL_OFFICES', 'POLICY', 'ECONOMIC', 'CONQUEST', 4),				
('POLICY_COLONIAL_TAXES', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),				
	('POLICY_COLONIZATION', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_COLONIZATION', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_COLONIZATION', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	
('POLICY_CONSCRIPTION', 'POLICY', 'MILITARY', 'CONQUEST', 3),	('POLICY_CONSCRIPTION', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_CONSCRIPTION', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_CONSCRIPTION', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_CONSCRIPTION', 'POLICY', 'MILITARY', 'DIPLO', 1),
('POLICY_CONTAINMENT', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 1),	('POLICY_CONTAINMENT', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 1),	('POLICY_CONTAINMENT', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_CONTAINMENT', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_CONTAINMENT', 'POLICY', 'DIPLOMATIC', 'DIPLO', 4),
('POLICY_CORVEE', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_CORVEE', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_CORVEE', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_CORVEE', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	
('POLICY_CRAFTSMEN', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_CRAFTSMEN', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_CRAFTSMEN', 'POLICY', 'ECONOMIC', 'CULTURE', 1),		
	('POLICY_CRYPTOGRAPHY', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 2),	('POLICY_CRYPTOGRAPHY', 'POLICY', 'DIPLOMATIC', 'CULTURE', 2),		('POLICY_CRYPTOGRAPHY', 'POLICY', 'DIPLOMATIC', 'DIPLO', 1),
	('POLICY_DEFENSE_OF_MOTHERLAND', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_DEFENSE_OF_MOTHERLAND', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_DEFENSE_OF_MOTHERLAND', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_DEFENSE_OF_MOTHERLAND', 'POLICY', 'MILITARY', 'DIPLO', 1),
('POLICY_DIPLOMATIC_LEAGUE', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 1),	('POLICY_DIPLOMATIC_LEAGUE', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 1),	('POLICY_DIPLOMATIC_LEAGUE', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_DIPLOMATIC_LEAGUE', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_DIPLOMATIC_LEAGUE', 'POLICY', 'DIPLOMATIC', 'DIPLO', 2),
('POLICY_DISCIPLINE', 'POLICY', 'MILITARY', 'CONQUEST', 2),				
	('POLICY_ECOMMERCE', 'POLICY', 'ECONOMIC', 'SCIENCE', 3),			('POLICY_ECOMMERCE', 'POLICY', 'ECONOMIC', 'DIPLO', 3),
('POLICY_ECONOMIC_UNION', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_ECONOMIC_UNION', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_ECONOMIC_UNION', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_ECONOMIC_UNION', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_ECONOMIC_UNION', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_EXPROPRIATION', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_EXPROPRIATION', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_EXPROPRIATION', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_EXPROPRIATION', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	
('POLICY_FEUDAL_CONTRACT', 'POLICY', 'MILITARY', 'CONQUEST', 6),				
('POLICY_FINEST_HOUR', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
('POLICY_FIVE_YEAR_PLAN', 'POLICY', 'ECONOMIC', 'CONQUEST', 3),	('POLICY_FIVE_YEAR_PLAN', 'POLICY', 'ECONOMIC', 'SCIENCE', 6),			
('POLICY_FREE_MARKET', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_FREE_MARKET', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_FREE_MARKET', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_FREE_MARKET', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_FREE_MARKET', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
		('POLICY_FRESCOES', 'POLICY', 'GREAT_PERSON', 'CULTURE', 5),		
			('POLICY_GOD_KING', 'POLICY', 'ECONOMIC', 'RELIGION', 3),	
('POLICY_GOTHIC_ARCHITECTURE', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_GOTHIC_ARCHITECTURE', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_GOTHIC_ARCHITECTURE', 'POLICY', 'ECONOMIC', 'CULTURE', 3),	('POLICY_GOTHIC_ARCHITECTURE', 'POLICY', 'ECONOMIC', 'RELIGION', 3),	
('POLICY_GRANDE_ARMEE', 'POLICY', 'MILITARY', 'CONQUEST', 6),				
		('POLICY_GRAND_OPERA', 'POLICY', 'ECONOMIC', 'CULTURE', 6),		
('POLICY_GUNBOAT_DIPLOMACY', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 1),	('POLICY_GUNBOAT_DIPLOMACY', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 1),	('POLICY_GUNBOAT_DIPLOMACY', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_GUNBOAT_DIPLOMACY', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_GUNBOAT_DIPLOMACY', 'POLICY', 'DIPLOMATIC', 'DIPLO', 3),
		('POLICY_HERITAGE_TOURISM', 'POLICY', 'ECONOMIC', 'CULTURE', 8),		
('POLICY_ILKUM', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_ILKUM', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_ILKUM', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_ILKUM', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_ILKUM', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
	('POLICY_INSPIRATION', 'POLICY', 'GREAT_PERSON', 'SCIENCE', 5),			
	('POLICY_INSULAE', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_INSULAE', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_INSULAE', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	
	('POLICY_INTEGRATED_SPACE_CELL', 'POLICY', 'MILITARY', 'SCIENCE', 7),			
	('POLICY_INTERNATIONAL_SPACE_AGENCY', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 6),			
('POLICY_INTERNATIONAL_WATERS', 'POLICY', 'MILITARY', 'CONQUEST', 3),				
('POLICY_INVENTION', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 2),	('POLICY_INVENTION', 'POLICY', 'GREAT_PERSON', 'SCIENCE', 2),			
('POLICY_LAISSEZ_FAIRE', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 1),	('POLICY_LAISSEZ_FAIRE', 'POLICY', 'GREAT_PERSON', 'SCIENCE', 1),	('POLICY_LAISSEZ_FAIRE', 'POLICY', 'GREAT_PERSON', 'CULTURE', 1),	('POLICY_LAISSEZ_FAIRE', 'POLICY', 'GREAT_PERSON', 'RELIGION', 1),	
('POLICY_LAND_SURVEYORS', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_LAND_SURVEYORS', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_LAND_SURVEYORS', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_LAND_SURVEYORS', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_LAND_SURVEYORS', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_LEVEE_EN_MASSE', 'POLICY', 'MILITARY', 'CONQUEST', 3),	('POLICY_LEVEE_EN_MASSE', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_LEVEE_EN_MASSE', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_LEVEE_EN_MASSE', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_LEVEE_EN_MASSE', 'POLICY', 'MILITARY', 'DIPLO', 1),
	('POLICY_LIBERALISM', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_LIBERALISM', 'POLICY', 'ECONOMIC', 'CULTURE', 2),		
('POLICY_LIGHTNING_WARFARE', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
	('POLICY_LIMES', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_LIMES', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_LIMES', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_LIMES', 'POLICY', 'MILITARY', 'DIPLO', 1),
		('POLICY_LITERARY_TRADITION', 'POLICY', 'GREAT_PERSON', 'CULTURE', 5),		
('POLICY_LOGISTICS', 'POLICY', 'MILITARY', 'CONQUEST', 5),	('POLICY_LOGISTICS', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_LOGISTICS', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_LOGISTICS', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_LOGISTICS', 'POLICY', 'MILITARY', 'DIPLO', 1),
('POLICY_MACHIAVELLIANISM', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 2),		('POLICY_MACHIAVELLIANISM', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),		('POLICY_MACHIAVELLIANISM', 'POLICY', 'DIPLOMATIC', 'DIPLO', 2),
('POLICY_MANEUVER', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
('POLICY_MARITIME_INDUSTRIES', 'POLICY', 'MILITARY', 'CONQUEST', 3),				
	('POLICY_MARKET_ECONOMY', 'POLICY', 'ECONOMIC', 'SCIENCE', 3),	('POLICY_MARKET_ECONOMY', 'POLICY', 'ECONOMIC', 'CULTURE', 3),		('POLICY_MARKET_ECONOMY', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_MARTIAL_LAW', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
('POLICY_MEDINA_QUARTER', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_MEDINA_QUARTER', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_MEDINA_QUARTER', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_MEDINA_QUARTER', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	('POLICY_MEDINA_QUARTER', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_MERCHANT_CONFEDERATION', 'POLICY', 'DIPLOMATIC', 'CONQUEST', 1),	('POLICY_MERCHANT_CONFEDERATION', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 1),	('POLICY_MERCHANT_CONFEDERATION', 'POLICY', 'DIPLOMATIC', 'CULTURE', 1),	('POLICY_MERCHANT_CONFEDERATION', 'POLICY', 'DIPLOMATIC', 'RELIGION', 1),	('POLICY_MERCHANT_CONFEDERATION', 'POLICY', 'DIPLOMATIC', 'DIPLO', 1),
('POLICY_MILITARY_FIRST', 'POLICY', 'MILITARY', 'CONQUEST', 6),				
('POLICY_MILITARY_ORGANIZATION', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 8),				
	('POLICY_MILITARY_RESEARCH', 'POLICY', 'MILITARY', 'SCIENCE', 3),			
('POLICY_NATIONAL_IDENTITY', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
('POLICY_NATIVE_CONQUEST', 'POLICY', 'MILITARY', 'CONQUEST', 5),				
	('POLICY_NATURAL_PHILOSOPHY', 'POLICY', 'ECONOMIC', 'SCIENCE', 7),			
('POLICY_NAVAL_INFRASTRUCTURE', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_NAVAL_INFRASTRUCTURE', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),			('POLICY_NAVAL_INFRASTRUCTURE', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_NAVIGATION', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 3),				
('POLICY_NEW_DEAL', 'POLICY', 'ECONOMIC', 'CONQUEST', 3),	('POLICY_NEW_DEAL', 'POLICY', 'ECONOMIC', 'SCIENCE', 3),	('POLICY_NEW_DEAL', 'POLICY', 'ECONOMIC', 'CULTURE', 3),	('POLICY_NEW_DEAL', 'POLICY', 'ECONOMIC', 'RELIGION', 3),	('POLICY_NEW_DEAL', 'POLICY', 'ECONOMIC', 'DIPLO', 3),
	('POLICY_NOBEL_PRIZE', 'POLICY', 'GREAT_PERSON', 'SCIENCE', 5),			
	('POLICY_NUCLEAR_ESPIONAGE', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 4),			
		('POLICY_ONLINE_COMMUNITIES', 'POLICY', 'ECONOMIC', 'CULTURE', 8),		
('POLICY_PATRIOTIC_WAR', 'POLICY', 'MILITARY', 'CONQUEST', 3),				
	('POLICY_POLICE_STATE', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 2),	('POLICY_POLICE_STATE', 'POLICY', 'DIPLOMATIC', 'CULTURE', 2),		
('POLICY_PRESS_GANGS', 'POLICY', 'MILITARY', 'CONQUEST', 4),				
('POLICY_PROFESSIONAL_ARMY', 'POLICY', 'MILITARY', 'CONQUEST', 3),	('POLICY_PROFESSIONAL_ARMY', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_PROFESSIONAL_ARMY', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_PROFESSIONAL_ARMY', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_PROFESSIONAL_ARMY', 'POLICY', 'MILITARY', 'DIPLO', 1),
('POLICY_PROPAGANDA', 'POLICY', 'MILITARY', 'CONQUEST', 7),				
('POLICY_PUBLIC_TRANSPORT', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_PUBLIC_TRANSPORT', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_PUBLIC_TRANSPORT', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_PUBLIC_TRANSPORT', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	('POLICY_PUBLIC_TRANSPORT', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_PUBLIC_WORKS', 'POLICY', 'ECONOMIC', 'CONQUEST', 2),	('POLICY_PUBLIC_WORKS', 'POLICY', 'ECONOMIC', 'SCIENCE', 2),	('POLICY_PUBLIC_WORKS', 'POLICY', 'ECONOMIC', 'CULTURE', 2),	('POLICY_PUBLIC_WORKS', 'POLICY', 'ECONOMIC', 'RELIGION', 2),	('POLICY_PUBLIC_WORKS', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_RAID', 'POLICY', 'MILITARY', 'CONQUEST', 6),	('POLICY_RAID', 'POLICY', 'MILITARY', 'SCIENCE', 2),	('POLICY_RAID', 'POLICY', 'MILITARY', 'CULTURE', 2),	('POLICY_RAID', 'POLICY', 'MILITARY', 'RELIGION', 2),	
	('POLICY_RAJ', 'POLICY', 'DIPLOMATIC', 'SCIENCE', 2),	('POLICY_RAJ', 'POLICY', 'DIPLOMATIC', 'CULTURE', 2),	('POLICY_RAJ', 'POLICY', 'DIPLOMATIC', 'RELIGION', 2),	
	('POLICY_RATIONALISM', 'POLICY', 'ECONOMIC', 'SCIENCE', 7),			
			('POLICY_RELIGIOUS_ORDERS', 'POLICY', 'ECONOMIC', 'RELIGION', 7),	
('POLICY_RESOURCE_MANAGEMENT', 'POLICY', 'ECONOMIC', 'CONQUEST', 6),				
	('POLICY_RETAINERS', 'POLICY', 'MILITARY', 'SCIENCE', 1),	('POLICY_RETAINERS', 'POLICY', 'MILITARY', 'CULTURE', 1),	('POLICY_RETAINERS', 'POLICY', 'MILITARY', 'RELIGION', 1),	('POLICY_RETAINERS', 'POLICY', 'MILITARY', 'DIPLO', 1),
			('POLICY_REVELATION', 'POLICY', 'GREAT_PERSON', 'RELIGION', 8),	
		('POLICY_SATELLITE_BROADCASTS', 'POLICY', 'ECONOMIC', 'CULTURE', 8),		
			('POLICY_SCRIPTURE', 'POLICY', 'ECONOMIC', 'RELIGION', 6),	
('POLICY_SERFDOM', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_SERFDOM', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_SERFDOM', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_SERFDOM', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_SERFDOM', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
			('POLICY_SIMULTANEUM', 'POLICY', 'ECONOMIC', 'RELIGION', 7),	
('POLICY_SKYSCRAPERS', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_SKYSCRAPERS', 'POLICY', 'ECONOMIC', 'SCIENCE', 3),	('POLICY_SKYSCRAPERS', 'POLICY', 'ECONOMIC', 'CULTURE', 3),	('POLICY_SKYSCRAPERS', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_SKYSCRAPERS', 'POLICY', 'ECONOMIC', 'DIPLO', 3),
('POLICY_SPORTS_MEDIA', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_SPORTS_MEDIA', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_SPORTS_MEDIA', 'POLICY', 'ECONOMIC', 'CULTURE', 6),	('POLICY_SPORTS_MEDIA', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_SPORTS_MEDIA', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_STRATEGIC_AIR_FORCE', 'POLICY', 'MILITARY', 'CONQUEST', 5),				
('POLICY_STRATEGOS', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 5),				
('POLICY_SURVEY', 'POLICY', 'MILITARY', 'CONQUEST', 1),				('POLICY_SURVEY', 'POLICY', 'MILITARY', 'DIPLO', 1),
		('POLICY_SYMPHONIES', 'POLICY', 'GREAT_PERSON', 'CULTURE', 6),		
('POLICY_THIRD_ALTERNATIVE', 'POLICY', 'ECONOMIC', 'CONQUEST', 3),	('POLICY_THIRD_ALTERNATIVE', 'POLICY', 'ECONOMIC', 'SCIENCE', 6),			
('POLICY_TOTAL_WAR', 'POLICY', 'MILITARY', 'CONQUEST', 6),	('POLICY_TOTAL_WAR', 'POLICY', 'MILITARY', 'SCIENCE', 2),	('POLICY_TOTAL_WAR', 'POLICY', 'MILITARY', 'CULTURE', 2),	('POLICY_TOTAL_WAR', 'POLICY', 'MILITARY', 'RELIGION', 2),	
('POLICY_TOWN_CHARTERS', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_TOWN_CHARTERS', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_TOWN_CHARTERS', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_TOWN_CHARTERS', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_TOWN_CHARTERS', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
	('POLICY_TRADE_CONFEDERATION', 'POLICY', 'ECONOMIC', 'SCIENCE', 4),	('POLICY_TRADE_CONFEDERATION', 'POLICY', 'ECONOMIC', 'CULTURE', 4),		('POLICY_TRADE_CONFEDERATION', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_TRAVELING_MERCHANTS', 'POLICY', 'GREAT_PERSON', 'CONQUEST', 1),	('POLICY_TRAVELING_MERCHANTS', 'POLICY', 'GREAT_PERSON', 'SCIENCE', 1),	('POLICY_TRAVELING_MERCHANTS', 'POLICY', 'GREAT_PERSON', 'CULTURE', 1),	('POLICY_TRAVELING_MERCHANTS', 'POLICY', 'GREAT_PERSON', 'RELIGION', 1),	
			('POLICY_TRIANGULAR_TRADE', 'POLICY', 'ECONOMIC', 'RELIGION', 3),	('POLICY_TRIANGULAR_TRADE', 'POLICY', 'ECONOMIC', 'DIPLO', 2),
('POLICY_URBAN_PLANNING', 'POLICY', 'ECONOMIC', 'CONQUEST', 1),	('POLICY_URBAN_PLANNING', 'POLICY', 'ECONOMIC', 'SCIENCE', 1),	('POLICY_URBAN_PLANNING', 'POLICY', 'ECONOMIC', 'CULTURE', 1),	('POLICY_URBAN_PLANNING', 'POLICY', 'ECONOMIC', 'RELIGION', 1),	('POLICY_URBAN_PLANNING', 'POLICY', 'ECONOMIC', 'DIPLO', 1),
('POLICY_VETERANCY', 'POLICY', 'MILITARY', 'CONQUEST', 4),				
('POLICY_WARS_OF_RELIGION', 'POLICY', 'MILITARY', 'CONQUEST', 6);

-- CityStates
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
		('CULTURAL', 'CityState', '', 'CULTURE', 6),		('CULTURAL', 'CityState', '', 'DIPLO', 4),
('INDUSTRIAL', 'CityState', '', 'CONQUEST', 2),	('INDUSTRIAL', 'CityState', '', 'SCIENCE', 3),	('INDUSTRIAL', 'CityState', '', 'CULTURE', 3),	('INDUSTRIAL', 'CityState', '', 'RELIGION', 1),	('INDUSTRIAL', 'CityState', '', 'DIPLO', 4),
('MILITARISTIC', 'CityState', '', 'CONQUEST', 6),				('MILITARISTIC', 'CityState', '', 'DIPLO', 4),
			('RELIGIOUS', 'CityState', '', 'RELIGION', 6),	('RELIGIOUS', 'CityState', '', 'DIPLO', 4),
	('SCIENTIFIC', 'CityState', '', 'SCIENCE', 6),			('SCIENTIFIC', 'CityState', '', 'DIPLO', 4),
('TRADE', 'CityState', '', 'CONQUEST', 2),	('TRADE', 'CityState', '', 'SCIENCE', 2),	('TRADE', 'CityState', '', 'CULTURE', 2),	('TRADE', 'CityState', '', 'RELIGION', 2),	('TRADE', 'CityState', '', 'DIPLO', 4);

-- GreatPeople
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
			('GREAT_PERSON_CLASS_ADMIRAL', 'GreatPerson', '', 'CONQUEST', 3),
	('GREAT_PERSON_CLASS_ARTIST', 'GreatPerson', '', 'CULTURE', 4),		
('GREAT_PERSON_CLASS_ENGINEER', 'GreatPerson', '', 'SCIENCE', 2),	('GREAT_PERSON_CLASS_ENGINEER', 'GreatPerson', '', 'CULTURE', 1),		
			('GREAT_PERSON_CLASS_GENERAL', 'GreatPerson', '', 'CONQUEST', 5),
('GREAT_PERSON_CLASS_MERCHANT', 'GreatPerson', '', 'SCIENCE', 1),	('GREAT_PERSON_CLASS_MERCHANT', 'GreatPerson', '', 'CULTURE', 1),		
	('GREAT_PERSON_CLASS_MUSICIAN', 'GreatPerson', '', 'CULTURE', 4),		
		('GREAT_PERSON_CLASS_PROPHET', 'GreatPerson', '', 'RELIGION', 5),	
('GREAT_PERSON_CLASS_SCIENTIST', 'GreatPerson', '', 'SCIENCE', 8),			
	('GREAT_PERSON_CLASS_WRITER', 'GreatPerson', '', 'CULTURE', 3);

-- BELIEFS
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
		('BELIEF_BURIAL_GROUNDS', 'BELIEF', 'ENHANCER', 'RELIGION', 3),	
	('BELIEF_CATHEDRAL', 'BELIEF', 'WORSHIP', 'CULTURE', 2),	('BELIEF_CATHEDRAL', 'BELIEF', 'WORSHIP', 'RELIGION', 5),	
	('BELIEF_CHORAL_MUSIC', 'BELIEF', 'FOLLOWER', 'CULTURE', 4),		
		('BELIEF_CHURCH_PROPERTY', 'BELIEF', 'FOUNDER', 'RELIGION', 3),	
('BELIEF_CITY_PATRON_GODDESS', 'BELIEF', 'PANTHEON', 'SCIENCE', 1),	('BELIEF_CITY_PATRON_GODDESS', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_CITY_PATRON_GODDESS', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	
('BELIEF_CROSS_CULTURAL_DIALOGUE', 'BELIEF', 'FOUNDER', 'SCIENCE', 3),		('BELIEF_CROSS_CULTURAL_DIALOGUE', 'BELIEF', 'FOUNDER', 'RELIGION', 3),	
		('BELIEF_DANCE_OF_THE_AURORA', 'BELIEF', 'PANTHEON', 'RELIGION', 4),	
		('BELIEF_DAR_E_MEHR', 'BELIEF', 'WORSHIP', 'RELIGION', 6),	
('BELIEF_DEFENDER_OF_FAITH', 'BELIEF', 'ENHANCER', 'CONQUEST', 1),		('BELIEF_DEFENDER_OF_FAITH', 'BELIEF', 'ENHANCER', 'CULTURE', 2),	('BELIEF_DEFENDER_OF_FAITH', 'BELIEF', 'ENHANCER', 'RELIGION', 3),
		('BELIEF_DESERT_FOLKLORE', 'BELIEF', 'PANTHEON', 'RELIGION', 5),	
	('BELIEF_DIVINE_INSPIRATION', 'BELIEF', 'FOLLOWER', 'CULTURE', 3),	('BELIEF_DIVINE_INSPIRATION', 'BELIEF', 'FOLLOWER', 'RELIGION', 4),	
('BELIEF_DIVINE_SPARK', 'BELIEF', 'PANTHEON', 'SCIENCE', 3),	('BELIEF_DIVINE_SPARK', 'BELIEF', 'PANTHEON', 'CULTURE', 3),	('BELIEF_DIVINE_SPARK', 'BELIEF', 'PANTHEON', 'RELIGION', 3),	
		('BELIEF_EARTH_GODDESS', 'BELIEF', 'PANTHEON', 'RELIGION', 9),	
('BELIEF_FEED_THE_WORLD', 'BELIEF', 'FOLLOWER', 'SCIENCE', 3),	('BELIEF_FEED_THE_WORLD', 'BELIEF', 'FOLLOWER', 'CULTURE', 2),		
('BELIEF_FERTILITY_RITES', 'BELIEF', 'PANTHEON', 'SCIENCE', 2),	('BELIEF_FERTILITY_RITES', 'BELIEF', 'PANTHEON', 'CULTURE', 2),	('BELIEF_FERTILITY_RITES', 'BELIEF', 'PANTHEON', 'RELIGION', 2),	('BELIEF_FERTILITY_RITES', 'BELIEF', 'PANTHEON', 'CONQUEST', 2),
('BELIEF_GODDESS_OF_FESTIVALS', 'BELIEF', 'PANTHEON', 'SCIENCE', 1),	('BELIEF_GODDESS_OF_FESTIVALS', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_GODDESS_OF_FESTIVALS', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_GODDESS_OF_FESTIVALS', 'BELIEF', 'PANTHEON', 'CONQUEST', 1),
		('BELIEF_GODDESS_OF_THE_HARVEST', 'BELIEF', 'PANTHEON', 'RELIGION', 4),	
('BELIEF_GODDESS_OF_THE_HUNT', 'BELIEF', 'PANTHEON', 'SCIENCE', 1),	('BELIEF_GODDESS_OF_THE_HUNT', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_GODDESS_OF_THE_HUNT', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_GODDESS_OF_THE_HUNT', 'BELIEF', 'PANTHEON', 'CONQUEST', 1),
('BELIEF_GOD_OF_CRAFTSMEN', 'BELIEF', 'PANTHEON', 'SCIENCE', 3),	('BELIEF_GOD_OF_CRAFTSMEN', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_GOD_OF_CRAFTSMEN', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_GOD_OF_CRAFTSMEN', 'BELIEF', 'PANTHEON', 'CONQUEST', 3),
		('BELIEF_GOD_OF_HEALING', 'BELIEF', 'PANTHEON', 'RELIGION', 8),	('BELIEF_GOD_OF_HEALING', 'BELIEF', 'PANTHEON', 'CONQUEST', 3),
			('BELIEF_GOD_OF_THE_FORGE', 'BELIEF', 'PANTHEON', 'CONQUEST', 8),
	('BELIEF_GOD_OF_THE_OPEN_SKY', 'BELIEF', 'PANTHEON', 'CULTURE', 5),		
('BELIEF_GOD_OF_THE_SEA', 'BELIEF', 'PANTHEON', 'SCIENCE', 2),	('BELIEF_GOD_OF_THE_SEA', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_GOD_OF_THE_SEA', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_GOD_OF_THE_SEA', 'BELIEF', 'PANTHEON', 'CONQUEST', 2),
			('BELIEF_GOD_OF_WAR', 'BELIEF', 'PANTHEON', 'CONQUEST', 4),
('BELIEF_GURDWARA', 'BELIEF', 'WORSHIP', 'SCIENCE', 2),	('BELIEF_GURDWARA', 'BELIEF', 'WORSHIP', 'CULTURE', 1),	('BELIEF_GURDWARA', 'BELIEF', 'WORSHIP', 'RELIGION', 6),	('BELIEF_GURDWARA', 'BELIEF', 'WORSHIP', 'CONQUEST', 1),
		('BELIEF_HOLY_ORDER', 'BELIEF', 'ENHANCER', 'RELIGION', 6),	
		('BELIEF_INITIATION_RITES', 'BELIEF', 'PANTHEON', 'RELIGION', 2),	
		('BELIEF_ITINERANT_PREACHERS', 'BELIEF', 'ENHANCER', 'RELIGION', 6),	
('BELIEF_JESUIT_EDUCATION', 'BELIEF', 'FOLLOWER', 'SCIENCE', 8),	('BELIEF_JESUIT_EDUCATION', 'BELIEF', 'FOLLOWER', 'CULTURE', 8),		
		('BELIEF_JUST_WAR', 'BELIEF', 'ENHANCER', 'RELIGION', 4),	('BELIEF_JUST_WAR', 'BELIEF', 'ENHANCER', 'CONQUEST', 7),
('BELIEF_LADY_OF_THE_REEDS_AND_MARSHES', 'BELIEF', 'PANTHEON', 'SCIENCE', 2),	('BELIEF_LADY_OF_THE_REEDS_AND_MARSHES', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_LADY_OF_THE_REEDS_AND_MARSHES', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_LADY_OF_THE_REEDS_AND_MARSHES', 'BELIEF', 'PANTHEON', 'CONQUEST', 2),
	('BELIEF_LAY_MINISTRY', 'BELIEF', 'FOUNDER', 'CULTURE', 3),	('BELIEF_LAY_MINISTRY', 'BELIEF', 'FOUNDER', 'RELIGION', 3),	
('BELIEF_MEETING_HOUSE', 'BELIEF', 'WORSHIP', 'SCIENCE', 2),		('BELIEF_MEETING_HOUSE', 'BELIEF', 'WORSHIP', 'RELIGION', 5),	('BELIEF_MEETING_HOUSE', 'BELIEF', 'WORSHIP', 'CONQUEST', 2),
		('BELIEF_MISSIONARY_ZEAL', 'BELIEF', 'ENHANCER', 'RELIGION', 8),	
		('BELIEF_MONASTIC_ISOLATION', 'BELIEF', 'ENHANCER', 'RELIGION', 7),	
('BELIEF_MONUMENT_TO_THE_GODS', 'BELIEF', 'PANTHEON', 'SCIENCE', 2),	('BELIEF_MONUMENT_TO_THE_GODS', 'BELIEF', 'PANTHEON', 'CULTURE', 2),	('BELIEF_MONUMENT_TO_THE_GODS', 'BELIEF', 'PANTHEON', 'RELIGION', 2),	('BELIEF_MONUMENT_TO_THE_GODS', 'BELIEF', 'PANTHEON', 'CONQUEST', 2),
		('BELIEF_MOSQUE', 'BELIEF', 'WORSHIP', 'RELIGION', 9),	
	('BELIEF_ORAL_TRADITION', 'BELIEF', 'PANTHEON', 'CULTURE', 3),		
('BELIEF_PAGODA', 'BELIEF', 'WORSHIP', 'SCIENCE', 2),	('BELIEF_PAGODA', 'BELIEF', 'WORSHIP', 'CULTURE', 1),	('BELIEF_PAGODA', 'BELIEF', 'WORSHIP', 'RELIGION', 5),	('BELIEF_PAGODA', 'BELIEF', 'WORSHIP', 'CONQUEST', 1),
('BELIEF_PAPAL_PRIMACY', 'BELIEF', 'FOUNDER', 'SCIENCE', 5),	('BELIEF_PAPAL_PRIMACY', 'BELIEF', 'FOUNDER', 'CULTURE', 5),	('BELIEF_PAPAL_PRIMACY', 'BELIEF', 'FOUNDER', 'RELIGION', 5),	('BELIEF_PAPAL_PRIMACY', 'BELIEF', 'FOUNDER', 'CONQUEST', 5),
		('BELIEF_PILGRIMAGE', 'BELIEF', 'FOUNDER', 'RELIGION', 3),	
		('BELIEF_RELIGIOUS_COLONIZATION', 'BELIEF', 'ENHANCER', 'RELIGION', 4),	
('BELIEF_RELIGIOUS_COMMUNITY', 'BELIEF', 'FOLLOWER', 'SCIENCE', 2),	('BELIEF_RELIGIOUS_COMMUNITY', 'BELIEF', 'FOLLOWER', 'CULTURE', 1),	('BELIEF_RELIGIOUS_COMMUNITY', 'BELIEF', 'FOLLOWER', 'RELIGION', 1),	('BELIEF_RELIGIOUS_COMMUNITY', 'BELIEF', 'FOLLOWER', 'CONQUEST', 1),
		('BELIEF_RELIGIOUS_IDOLS', 'BELIEF', 'PANTHEON', 'RELIGION', 5),	
('BELIEF_RELIGIOUS_SETTLEMENTS', 'BELIEF', 'PANTHEON', 'SCIENCE', 1),	('BELIEF_RELIGIOUS_SETTLEMENTS', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_RELIGIOUS_SETTLEMENTS', 'BELIEF', 'PANTHEON', 'RELIGION', 1),	('BELIEF_RELIGIOUS_SETTLEMENTS', 'BELIEF', 'PANTHEON', 'CONQUEST', 3),
			('BELIEF_RELIGIOUS_UNITY', 'BELIEF', 'FOUNDER', 'RELIGION', 4),	('BELIEF_RELIGIOUS_UNITY', 'BELIEF', 'FOUNDER', 'DIPLO', 5),
	('BELIEF_RELIQUARIES', 'BELIEF', 'FOLLOWER', 'CULTURE', 7),	('BELIEF_RELIQUARIES', 'BELIEF', 'FOLLOWER', 'RELIGION', 3),	
('BELIEF_RIVER_GODDESS', 'BELIEF', 'PANTHEON', 'SCIENCE', 1),	('BELIEF_RIVER_GODDESS', 'BELIEF', 'PANTHEON', 'CULTURE', 1),	('BELIEF_RIVER_GODDESS', 'BELIEF', 'PANTHEON', 'RELIGION', 3),	('BELIEF_RIVER_GODDESS', 'BELIEF', 'PANTHEON', 'CONQUEST', 1),
		('BELIEF_SACRED_PATH', 'BELIEF', 'PANTHEON', 'RELIGION', 3),	
		('BELIEF_SCRIPTURE', 'BELIEF', 'ENHANCER', 'RELIGION', 8),	
('BELIEF_STEWARDSHIP', 'BELIEF', 'FOUNDER', 'SCIENCE', 6),			
		('BELIEF_STONE_CIRCLES', 'BELIEF', 'PANTHEON', 'RELIGION', 5),	
		('BELIEF_STUPA', 'BELIEF', 'WORSHIP', 'RELIGION', 5),	
		('BELIEF_SYNAGOGUE', 'BELIEF', 'WORSHIP', 'RELIGION', 6),	
('BELIEF_TITHE', 'BELIEF', 'FOUNDER', 'SCIENCE', 1),	('BELIEF_TITHE', 'BELIEF', 'FOUNDER', 'CULTURE', 1),	('BELIEF_TITHE', 'BELIEF', 'FOUNDER', 'RELIGION', 2),	('BELIEF_TITHE', 'BELIEF', 'FOUNDER', 'CONQUEST', 1),
		('BELIEF_WARRIOR_MONKS', 'BELIEF', 'FOLLOWER', 'RELIGION', 3),	('BELIEF_WARRIOR_MONKS', 'BELIEF', 'FOLLOWER', 'CONQUEST', 7),
('BELIEF_WAT', 'BELIEF', 'WORSHIP', 'SCIENCE', 4),		('BELIEF_WAT', 'BELIEF', 'WORSHIP', 'RELIGION', 5),	
('BELIEF_WORK_ETHIC', 'BELIEF', 'FOLLOWER', 'SCIENCE', 4),	('BELIEF_WORK_ETHIC', 'BELIEF', 'FOLLOWER', 'CULTURE', 2),	('BELIEF_WORK_ETHIC', 'BELIEF', 'FOLLOWER', 'RELIGION', 3),	('BELIEF_WORK_ETHIC', 'BELIEF', 'FOLLOWER', 'CONQUEST', 3),
	('BELIEF_WORLD_CHURCH', 'BELIEF', 'FOUNDER', 'CULTURE', 4),	('BELIEF_WORLD_CHURCH', 'BELIEF', 'FOUNDER', 'RELIGION', 4),	
('BELIEF_ZEN_MEDITATION', 'BELIEF', 'FOLLOWER', 'SCIENCE', 1),	('BELIEF_ZEN_MEDITATION', 'BELIEF', 'FOLLOWER', 'CULTURE', 1),	('BELIEF_ZEN_MEDITATION', 'BELIEF', 'FOLLOWER', 'RELIGION', 1),	('BELIEF_ZEN_MEDITATION', 'BELIEF', 'FOLLOWER', 'CONQUEST', 1);

-- Wonders
INSERT INTO RSTFlavors (ObjectType, Type, Subtype, Strategy, Value) VALUES -- generated from Excel
('BUILDING_ALHAMBRA', 'Wonder', '', 'CONQUEST', 5),				
	('BUILDING_BIG_BEN', 'Wonder', '', 'SCIENCE', 2),	('BUILDING_BIG_BEN', 'Wonder', '', 'CULTURE', 2),	('BUILDING_BIG_BEN', 'Wonder', '', 'RELIGION', 2),	('BUILDING_BIG_BEN', 'Wonder', '', 'DIPLO', 1),
		('BUILDING_BOLSHOI_THEATRE', 'Wonder', '', 'CULTURE', 8),		
		('BUILDING_BROADWAY', 'Wonder', '', 'CULTURE', 8),		
		('BUILDING_CHICHEN_ITZA', 'Wonder', '', 'CULTURE', 2),		
		('BUILDING_COLOSSEUM', 'Wonder', '', 'CULTURE', 3),		
('BUILDING_COLOSSUS', 'Wonder', '', 'CONQUEST', 2),				('BUILDING_COLOSSUS', 'Wonder', '', 'DIPLO', 1),
		('BUILDING_CRISTO_REDENTOR', 'Wonder', '', 'CULTURE', 9),		
		('BUILDING_EIFFEL_TOWER', 'Wonder', '', 'CULTURE', 6),		
('BUILDING_ESTADIO_DO_MARACANA', 'Wonder', '', 'CONQUEST', 2),	('BUILDING_ESTADIO_DO_MARACANA', 'Wonder', '', 'SCIENCE', 2),	('BUILDING_ESTADIO_DO_MARACANA', 'Wonder', '', 'CULTURE', 4),	('BUILDING_ESTADIO_DO_MARACANA', 'Wonder', '', 'RELIGION', 2),	
('BUILDING_FORBIDDEN_CITY', 'Wonder', '', 'CONQUEST', 3),	('BUILDING_FORBIDDEN_CITY', 'Wonder', '', 'SCIENCE', 3),	('BUILDING_FORBIDDEN_CITY', 'Wonder', '', 'CULTURE', 4),	('BUILDING_FORBIDDEN_CITY', 'Wonder', '', 'RELIGION', 3),	('BUILDING_FORBIDDEN_CITY', 'Wonder', '', 'DIPLO', 3),
	('BUILDING_GREAT_LIBRARY', 'Wonder', '', 'SCIENCE', 6),	('BUILDING_GREAT_LIBRARY', 'Wonder', '', 'CULTURE', 3),		
('BUILDING_GREAT_LIGHTHOUSE', 'Wonder', '', 'CONQUEST', 5),				
('BUILDING_GREAT_ZIMBABWE', 'Wonder', '', 'CONQUEST', 1),	('BUILDING_GREAT_ZIMBABWE', 'Wonder', '', 'SCIENCE', 1),	('BUILDING_GREAT_ZIMBABWE', 'Wonder', '', 'CULTURE', 1),		('BUILDING_GREAT_ZIMBABWE', 'Wonder', '', 'DIPLO', 2),
			('BUILDING_HAGIA_SOPHIA', 'Wonder', '', 'RELIGION', 7),	
('BUILDING_HANGING_GARDENS', 'Wonder', '', 'CONQUEST', 2),	('BUILDING_HANGING_GARDENS', 'Wonder', '', 'SCIENCE', 2),	('BUILDING_HANGING_GARDENS', 'Wonder', '', 'CULTURE', 1),	('BUILDING_HANGING_GARDENS', 'Wonder', '', 'RELIGION', 2),	
		('BUILDING_HERMITAGE', 'Wonder', '', 'CULTURE', 8),		
			('BUILDING_MAHABODHI_TEMPLE', 'Wonder', '', 'RELIGION', 5),	('BUILDING_MAHABODHI_TEMPLE', 'Wonder', '', 'DIPLO', 8),
		('BUILDING_MONT_ST_MICHEL', 'Wonder', '', 'CULTURE', 5),	('BUILDING_MONT_ST_MICHEL', 'Wonder', '', 'RELIGION', 4),	
	('BUILDING_ORACLE', 'Wonder', '', 'SCIENCE', 3),	('BUILDING_ORACLE', 'Wonder', '', 'CULTURE', 4),		
	('BUILDING_OXFORD_UNIVERSITY', 'Wonder', '', 'SCIENCE', 6),	('BUILDING_OXFORD_UNIVERSITY', 'Wonder', '', 'CULTURE', 2),		
('BUILDING_PETRA', 'Wonder', '', 'CONQUEST', 2),	('BUILDING_PETRA', 'Wonder', '', 'SCIENCE', 2),	('BUILDING_PETRA', 'Wonder', '', 'CULTURE', 2),	('BUILDING_PETRA', 'Wonder', '', 'RELIGION', 2),	
		('BUILDING_POTALA_PALACE', 'Wonder', '', 'CULTURE', 2),	('BUILDING_POTALA_PALACE', 'Wonder', '', 'RELIGION', 2),	('BUILDING_POTALA_PALACE', 'Wonder', '', 'DIPLO', 4),
('BUILDING_PYRAMIDS', 'Wonder', '', 'CONQUEST', 2),	('BUILDING_PYRAMIDS', 'Wonder', '', 'SCIENCE', 2),	('BUILDING_PYRAMIDS', 'Wonder', '', 'CULTURE', 2),	('BUILDING_PYRAMIDS', 'Wonder', '', 'RELIGION', 2),	
('BUILDING_RUHR_VALLEY', 'Wonder', '', 'CONQUEST', 5),	('BUILDING_RUHR_VALLEY', 'Wonder', '', 'SCIENCE', 6),	('BUILDING_RUHR_VALLEY', 'Wonder', '', 'CULTURE', 2),	('BUILDING_RUHR_VALLEY', 'Wonder', '', 'RELIGION', 2),	
			('BUILDING_STONEHENGE', 'Wonder', '', 'RELIGION', 7),	
		('BUILDING_SYDNEY_OPERA_HOUSE', 'Wonder', '', 'CULTURE', 8),		
('BUILDING_TERRACOTTA_ARMY', 'Wonder', '', 'CONQUEST', 7),		('BUILDING_TERRACOTTA_ARMY', 'Wonder', '', 'CULTURE', 5),		
('BUILDING_VENETIAN_ARSENAL', 'Wonder', '', 'CONQUEST', 7);
